﻿.dealTimerTags {
    display: none;
}
/* -- Deal Width By number Of Cubes --  */

/* Desktop */
@media screen and (min-width: 1300px) {
    .SliderRow.ThreeInRow .deal.SlideBox > a {
        width: 380px !important;
    }

    .SliderRow.FourInRow .deal.SlideBox > a {
        width: 291px !important;
        max-height: 530px;
    }

    SliderRow.SixInRow .deal.SlideBox > a {
        width: 186px !important;
    }
}

@media screen and (max-width: 1300px) and (min-width: 1200px) {
    .SliderRow {
        width: 1160px !important;
    }
}

@media screen and (max-width: 1199px) and (min-width: 1100px) {
    .SliderRow {
        width: 1050px !important;
    }
}

@media screen and (max-width: 1099px) and (min-width: 1000px) {
    .SliderRow {
        width: 950px !important;
    }
}

@media screen and (max-width: 999px) and (min-width: 800px) {
    .SliderRow {
        width: 900px !important;
    }
}



@media screen and (max-width: 1300px) and (min-width: 900px) {


    .SixInRow .deal.SlideBox .deal-image > a > img {
        width: 100%;
    }

    .SixInRow .deal.SlideBox .dealBottom .dealInfoBtn {
        padding: 0px 10px;
        height: 36px;
    }
}

/* Tablet */
@media screen and (max-width: 900px) and (min-width: 600px) {
    .SlideNumber .deal.SlideBox > a {
        grid-template-rows: 160px 107px 70px 73px;
    }
}


@media screen and (max-width: 600px) {
    .deal.SlideBox a .dealInfo .reg-price {
         height: 21px;
    }

    .dealsMobile #MainContent .deal.SlideBox > a {
        width: inherit;
    }
}



.deal.SlideBox > a {
    display: inline-grid;
    grid-template-rows: 260px 107px 65px 73px;
    padding: 24px;
    border-radius: 4px;
    border: 1px solid #E5E6E5;
    box-sizing: border-box;
    white-space: wrap;
    text-wrap: pretty;
    background-color: #fff;
    /*justify-content: center;*/
    text-decoration: none;
}


/* Slide Row By Cube Number  */
.ThreeInRow .deal.SlideBox a .deal-image > a {
    padding: 0 20px;
}

.FourInRow .deal.SlideBox > a {
    grid-template-rows: 185px 151px 65px 73px;
}

.FourInRow .deal.SlideBox a .dealDetailsWrap {
    /*grid-template-rows: 28px minmax(21px, 42px) 40px;*/
    grid-template-rows: 54px minmax(21px, 42px) 40px;
}

    .FourInRow .deal.SlideBox a .dealDetailsWrap .title {
        -webkit-line-clamp: 2;
    }


.SixInRow .deal.SlideBox > a {
    grid-template-rows: 133px 102px 65px 73px;
    padding: 16px;
    white-space: unset;
    /*text-wrap: unset;*/
}

.SliderRow.ThreeInRow .deal.SlideBox > a {
    grid-template-rows: 251px 116px 65px 73px;
}

.SixInRow .deal.SlideBox a .deal-image > a {
    margin-top: 10px;
}


.SixInRow .deal.SlideBox a .dealDetailsWrap .desc {
    display: none;
}


/* Deal Details  */
.deal.SlideBox > a .dealDetailsWrap {
    display: grid;
    /*grid-template-rows: 28px 24px 44px;*/
    grid-template-rows: 24px 40px 35px;
    row-gap: 8px;
}

.SixInRow .deal.SlideBox > a .dealDetailsWrap {
    /*grid-template-rows: 28px auto;*/
    grid-template-rows: 55px auto;
}

.discountTagContainer {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    align-items: center;
}

.SixInRow .deal.SlideBox a .dealDetailsWrap .title {
    -webkit-line-clamp: 2;
    margin: 5px 0px;
}

.deal.SlideBox > a .dealDetailsWrap .discountTag {
    font-size: 14px;
    font-weight: bold;
    background-color: #D50800;
    border-radius: 6px;
    color: white;
    z-index: 10;
    position: relative;
    display: inline-flex;
    height: 28px;
    padding: 0px 8px;
    justify-content: center;
    align-items: center;
    width: fit-content;
}

.deal.SlideBox > a .dealDetailsWrap .title {
    all: unset;
    color: #000;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    font-weight: 600;
    -webkit-box-orient: vertical;
    max-height: 2.8em;
    white-space: normal;
}


.deal.SlideBox a .dealDetailsWrap .desc {
    color: #000;
    font-size: 14px;
    font-weight: 400;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-height: normal;
    max-height: 2.4em;
    white-space: normal;
    text-decoration: none;
}



/* Deal Image  */
.deal.SlideBox a .deal-image {
    width: 100%;
    _height: fit-content;
    position: relative;
    box-sizing: border-box;
}

    .deal.SlideBox a .deal-image .badge {
        position: absolute;
        left: 0;
        z-index: 2;
    }

    .deal.SlideBox a .deal-image > a {
        width: 100%;
        height: 100%;
        display: block;
        box-sizing: border-box;
    }

.homePageRow .deal.SlideBox > a .deal-image > img {
    width: 100%;
    object-fit: contain;
    height: auto;
    max-height: 100%;
}

.smallItems #moredeals .deal.SlideBox > a .deal-image > img {
    height: auto;
    width: 100%;
    max-height: 100%;
}

.mainItem .deal.SlideBox > a .deal-image > img {
    height: auto;
    width: 100%;
    max-height: 100%;
}

.items deal.SlideBox > a .deal-image > img {
    width: 100%;
    object-fit: contain;
    /*height: auto;*/
}

/* Deal Info  */
.deal.SlideBox a .dealInfo {
    display: grid;
    margin-bottom: 15px;
    grid-template-columns: 1fr auto;
    column-gap: 10px;
    grid-template-rows: 37px 15px;
    row-gap: 5px;
}

    /*    .deal.SlideBox a .dealInfo .dealPrice {
        display: flex;
        justify-content: left;
        gap: 10px;
    }
    .deal.SlideBox a .dealInfo .dealShippingSupplyPeriod {
        display: flex;
     
    }*/
    .deal.SlideBox a .dealInfo .dealShipment {
        grid-column: 2;
        grid-row: 2;
        text-align: left;
    }

        .deal.SlideBox a .dealInfo .dealShipment.freeShipment {
            color: #218245;
            font-size: 14px;
            font-weight: 700;
            align-items: center;
        }

    .deal.SlideBox a .dealInfo .dealShipment, .deal.SlideBox a .dealInfo .dealSupplyPeriod {
        font-size: 14px;
        height: 14px;
        font-weight: 600;
        color: #6D7276;
        align-self: center;
        line-height: 14px;
    }

    .deal.SlideBox a .dealInfo .dealSupplyPeriod {
        grid-column: 1;
        grid-row: 2;
        display: flex;
        align-items: center;
        gap: 4px;
    }

    .deal.SlideBox a .dealInfo .price {
        font-size: 26px;
        font-weight: bold;
        line-height: 30px;
        color: #27292B;
        grid-column: 2;
        text-align: left;
        white-space: nowrap;
        align-self: end;
        text-decoration: none;
    }

        .deal.SlideBox a .dealInfo .price.has-reg-price {
            color: #D50800;
            line-height: 25px;
        }

    .deal.SlideBox a .dealInfo .reg-price {
        font-size: 16px;
        color: #27292B;
        _margin-bottom: 5px;
        text-align: left;
        white-space: nowrap;
        align-self: end;
        text-decoration: line-through;
    }

/* Deal Bottom  */
.deal.SlideBox a .dealBottom .zap-btn {
    text-align: center;
    display: inline-block;
    flex-flow: column;
    width: 100%;
    height: 34px;
    border-radius: 5px;
    font-size: 14px;
    line-height: 34px;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.deal.SlideBox a .dealBottom .supplierName {
    color: #6D7276;
    text-align: center;
    font-size: 14px;
    font-weight: 600;
    /*    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    max-width: 19ch;*/
}

.deal.SlideBox a .dealBottom {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

    .deal.SlideBox a .dealBottom .dealInfoBtn {
        border-radius: 6px;
        display: flex;
        height: 46px;
        padding: 0px 32px;
        justify-content: center;
        align-items: center;
        gap: 4px;
        color: inherit;
        text-decoration: none;
        margin-bottom: 8px;
    }

        .deal.SlideBox a .dealBottom .dealInfoBtn:hover,
        .deal.SlideBox a .dealBottom .dealInfoBtn:active,
        .deal.SlideBox a .dealBottom .dealInfoBtn:focus {
            color: inherit;
            text-decoration: none;
            outline: none;
        }


        .deal.SlideBox a .dealBottom .dealInfoBtn.dealMpBtn {
            background: #5FC5D7;
            color: #000;
        }

        .deal.SlideBox a .dealBottom .dealInfoBtn.dealZapBtn {
            /*background: #EA5C2B;*/
            background: #DB3A00;
            color: #fff;
        }

.categoryBox > a {
    color: #000;
    font-size: 20px;
    text-decoration: none;
    font-weight: 700;
}

.DealsCategory .headerWapper {
    padding-top: 20px;
}

.SliderWraper {
    height: auto !important;
    display: flex;
    justify-content: center;
}


.deal-image .badge img {
    object-fit: none;
}


ul.dropdown.open {
    box-shadow: 0px 0px 6px #00000033;
}

/* -- Tablet --  */
@media screen and (max-width: 900px) and (min-width: 600px) {
}

/* -- Mobile --  */
@media screen and (max-width: 600px) {

    .MobileRow .deal.SlideBox a {
        width: 144px;
        padding: 12px;
        grid-template-rows: 145px 70px 65px 65px;
    }

        /* Deal Details  */
        .MobileRow .deal.SlideBox a .dealDetailsWrap {
            grid-template-rows: 48px 20px;
            justify-items: center;
            row-gap: 8px;
        }

            .MobileRow .deal.SlideBox a .dealDetailsWrap .desc {
                display: none;
            }

    .MobileRow .deal.SlideBox > a .dealDetailsWrap .title {
        -webkit-line-clamp: 3;
        text-align: center;
        width: 100%;
        font-size: 13px;
        margin: 0;
        text-decoration: none;
    }

    .MobileRow .deal.SlideBox a .dealDetailsWrap .discountTag {
        font-size: 12px;
        height: 20px;
    }


    /* Deal Image  */
    .deal.SlideBox a .deal-image > a > img {
        margin-top: 5px;
        width: 102%;
        transform: unset;
    }

    /* Deal Info */
    .homePageRow .deal.SlideBox a .dealInfo {
        display: grid;
    }


    .deal.SlideBox a .dealInfo {
        height: 55px;
    }

        .deal.SlideBox a .dealInfo .dealPriceWapper {
            display: flex;
            flex-direction: column;
            gap: 6px;
        }

    .homePageRow .deal.SlideBox a .dealInfo .dealPriceWapper {
        flex-direction: row;
        justify-content: end;
        gap: 8px;
    }

    .deal.SlideBox a .dealInfo .price {
        font-size: 21px;
        line-height: 16px;
    }

    .deal.SlideBox a .dealInfo .dealSupplyPeriod {
        display: none;
    }

    .deal.SlideBox a .dealInfo .dealShipment {
        align-self: auto;
    }

    .deal.SlideBox a .dealInfo .shipmentPrice {
        color: #6D7276;
    }

    /* Deal Bottom  */
    .deal.SlideBox a .dealBottom .dealInfoBtn {
        padding: 0px 12px 0 16px;
        height: 34px;
        margin-top: 5px;
    }

        .deal.SlideBox a .dealBottom .dealInfoBtn > span {
            white-space: nowrap;
        }

    .topMobileBanner {
        background: #fff;
    }

    .DealsCategory .items .deal.SlideBox .dealInfo .price,
    .DealsCategory .mainItem .deal.SlideBox .dealInfo .price {
        font-size: 26px;
        text-align: right;
        line-height: 19px;
    }

    .DealsCategory .items .deal.SlideBox .dealInfo .reg-price,
    .DealsCategory .mainItem .deal.SlideBox .dealInfo .reg-price {
        margin-bottom: 0;
    }


    .DealsCategory .mainItem .deal.SlideBox a .dealInfo .dealShipment.shipmentPrice,
    .DealsCategory .mainItem .deal.SlideBox a .dealInfo .dealSupplyPeriod {
        font-weight: 600;
        color: #6D7276;
    }

    .DealsCategory .deal.SlideBox a .dealInfo .dealShipment.shipmentPrice, .deal.SlideBox a .dealInfo .dealSupplyPeriod {
        font-size: 12px;
    }

    .DealsHomePage .div_nearme {
        padding: 16px;
    }

    .deal.SlideBox a .dealInfo .dealShipment.freeShipment {
        font-size: 12px;
    }

    .deal.SlideBox a .dealInfo .dealShipment.shipmentPrice, .deal.SlideBox a .dealInfo .dealSupplyPeriod {
        font-size: 12px;
    }

    .deal.SlideBox a .dealBottom .supplierName {
        font-size: 12px;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
    }
}



.deals-my-favorties {
    position: absolute;
    z-index: 15;
    pointer-events: visible;
}


.rowTitleWrapper .rowTitleLink .txt {
    display: flex;
}


.tick .tick-credits {
    display: none !important;
}

.NoResultSearch .home-page-row .SliderWraper .SliderRow .deal.SlideBox a .deal-image > img {
    width: 100%;
    height: 100%;
}
